Subject: Re: bug#26050: 25.2; configure: no libxml2 support with libxml2 installed

From: [email-masked] (N. Jackson)
Date: Fri, 10 Mar 2017 13:42:17 -0500

tags 26050 notabug
close 26050
done

Sorry, this was a user error.

I simply didn't have the libxml2 development package on this
system. Gets me every time! (Although usually I don't get as far
as filing a bug report.)

So the fix was as simple as:

  # dnf install libxml2-devel

At 18:40 +0200 on Friday 2017-03-10, Eli Zaretskii wrote:
>
> What does config.log say about the libxml2 tests?

Sorry, I'd forgotten about that file! Here's what it was saying earlier:

  configure-test:16329: checking for LIBXML2
  configure-test:16338: $PKG_CONFIG --exists --print-errors "libxml-2.0 > 2.6.17"
  Package libxml-2.0 was not found in the pkg-config search path.
  Perhaps you should add the directory containing `libxml-2.0.pc'
  to the PKG_CONFIG_PATH environment variable
  No package 'libxml-2.0' found
  configure-test:16341: $? = 1
  configure-test:16361: $PKG_CONFIG --exists --print-errors "libxml-2.0 > 2.6.17"
  Package libxml-2.0 was not found in the pkg-config search path.
  Perhaps you should add the directory containing `libxml-2.0.pc'
  to the PKG_CONFIG_PATH environment variable
  No package 'libxml-2.0' found
  configure-test:16364: $? = 1
  configure-test:16381: result: no
  No package 'libxml-2.0' found

Now that everything works, it says:

  configure:16328: checking for LIBXML2
  configure:16335: $PKG_CONFIG --exists --print-errors "libxml-2.0 > 2.6.17"
  configure:16338: $? = 0
  configure:16352: $PKG_CONFIG --exists --print-errors "libxml-2.0 > 2.6.17"
  configure:16355: $? = 0
  configure:16393: result: yes
  configure:16428: checking for htmlReadMemory in -lxml2
  configure:16453: gcc -o conftest  -g3 -O2       conftest.c -lxml2 -lxml2 -lX11   >&5 
  configure:16453: $? = 0
  configure:16462: result: yes

Is it my imagination, or was there a time in the past when
configure printed a friendly message suggesting the installation
of the development package for a library when it failed to find
something like this?

N.